/*
 *  Copyright IBM Corp. 2010
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at:
 * 
 * http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing 
 * permissions and limitations under the License.
 */
package org.openntf.attachmentviewer;

import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

public class PreferencePage extends org.eclipse.jface.preference.PreferencePage
		implements IWorkbenchPreferencePage {

	Button debugUI = null;
	
	public PreferencePage() {
		// TODO Auto-generated constructor stub
	}

	public PreferencePage(String arg0) {
		super(arg0);
		// TODO Auto-generated constructor stub
	}

	public PreferencePage(String arg0, ImageDescriptor arg1) {
		super(arg0, arg1);
		// TODO Auto-generated constructor stub
	}

	protected Control createContents(Composite arg0) {
		final IPreferenceStore prefs = Activator.getDefault().getPreferenceStore();
		
		boolean debug = prefs.getBoolean("debug");
		debugUI = new Button(arg0, SWT.CHECK);
		debugUI.addSelectionListener(new SelectionListener(){

			public void widgetDefaultSelected(SelectionEvent arg0) {
				
			}

			public void widgetSelected(SelectionEvent arg0) {
				IPreferenceStore prefs = Activator.getDefault().getPreferenceStore();
				boolean debug = debugUI.getSelection();
				
				prefs.setValue("debug", debug);

				Activator.getDefault().savePluginPreferences();				
			}
			
		});
		debugUI.setText("Enable Debug Mode");
		
		if (debug){
			debugUI.setSelection(debug);
		}
		
		new Label(arg0, SWT.SEPARATOR | SWT.HORIZONTAL);
		
		return null;
		
	}

	public void init(IWorkbench arg0) {
		// TODO Auto-generated method stub

	}

	public void applyData(Object arg0) {
		IPreferenceStore prefs = Activator.getDefault().getPreferenceStore();
		boolean debug = debugUI.getSelection();
		
		prefs.setValue("debug", debug);

		Activator.getDefault().savePluginPreferences();
		
	}

}
