/*
 *  Copyright IBM Corp. 2010
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at:
 * 
 * http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing 
 * permissions and limitations under the License.
 */
package org.openntf.attachmentviewer.services;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.OutputStream;

public abstract class AbstractFileProvider implements IAttachmentViewerProvider {

	public boolean hasScript(){
		return false;
	}
	
	public void writeFile(File f, OutputStream os) {
		FileInputStream bif;
		try {
			bif = new FileInputStream(f);
		
			byte buffer[] = new byte[1024];
			int bytesRead = 0;
			
			while ( (bytesRead = bif.read(buffer)) > 0){
				
				os.write(buffer, 0, bytesRead);
	
			}		
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	public void writeHTML(File f, OutputStream os, int limit){
		
	}
	public String getScript(){
		return "";
	}	
}
