/*
 *  Copyright IBM Corp. 2010
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at:
 * 
 * http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing 
 * permissions and limitations under the License.
 */

package org.openntf.attachmentviewer.services;

public class SWFFileProvider extends AbstractFileProvider {

	public String getContentType() {
		return "application/x-shockwave-flash";
	}
	
	public boolean hasScript() {
		return true;
	}
	
	public String getScript() {
		StringBuffer buffer = new StringBuffer("function (id, url){\n");
			
		buffer.append("\n\t\tdojo.require(\"dojox.embed.Flash\");\n");
		buffer.append("\n\t\tvar node = document.getElementById( id );\n");
		buffer.append("\n\t\tnew dojox.embed.Flash({\n\t\t\tpath:url,\n\t\t\twidth:\"100%\",\n\t\t\theight:\"95%\"\n},\n\t\t node);\n}");
		
		return buffer.toString();
	}	
}
