/*
 *  Copyright IBM Corp. 2010
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at:
 * 
 * http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing 
 * permissions and limitations under the License.
 */
dojo.require("dojox.encoding.base64");
dojo.require("dojo._base.xhr");

var _debug = false;
var _pinned = false;
function checkURLForOptions(){
	if (window.location.toString().indexOf("debug=true", 0) > 0){
		setDebug(true);
	}
	
	constructPin();
}
function togglePin(){
	if (_pinned) 
		_pinned = false;
	else
		_pinned = true;
	
	constructPin();
}
function constructPin(){
	var headerArea = document.getElementById("header");
	
	if (_pinned){
		headerArea.innerHTML = "<img style=\"float: right;cursor: pointer;\" title=\"Un-pin Attachment\" src='icons/pinned-down.png' onClick=\"togglePin();\"></img>";
	}else{
		headerArea.innerHTML = "<img style=\"float: right;cursor: pointer;\" title=\"Pin Attachment\" src='icons/pinned-up.png' onClick=\"togglePin();\"></img>";
	}
}
function setDebug(debug){
	
	_debug = debug;
	
	if (_debug == true){
		//Make sure its not already there
		var debugArea = document.getElementById("debugArea");

		if (debugArea == null){
			debugArea = document.createElement("div");
			debugArea.setAttribute("id", "debugArea");
			document.appendChild("div");;
		}
		if (debugArea != null)
			debugArea.innerHTML = "<br>Debug tooling...<br><b>Status Area</b><br><div id=\"statusarea\"></div><hr><div id=\"code\"></div><input id=\"callScript\"></input><button name=\"Submit\" onclick=\"local_showAttachments()\">Submit</button>";
		
	}else{
		var debugArea = document.getElementById("debugArea");

		if (debugArea == null){
			debugArea = document.createElement("div");
			debugArea.setAttribute("id", "debugArea");
			document.appendChild("div");;
		}
		if (debugArea != null)
			debugArea.innerHTML = "";
	}
}
function showAttachments(attachments){
	
	if (_pinned == true) return;
	
	var statusArea = document.getElementById("statusarea");
	var codeArea = document.getElementById("code");
	
	if (statusArea != null)
		statusArea.innerHTML = "The function was called<br>" + window.location.toString() + "<br>";
	
	if (codeArea != null)
		codeArea.innerHTML = "[";
	
	if (attachments.length == 0 || attachments == null){
		document.getElementById('attachmentArea').innerHTML = "No attachments selected";
		return;
	}
	dojo.byId("attachmentArea").innerHTML = "";
	
	for (var a = 0; a < attachments.length; a++) {
		var att = attachments[a];

		if (codeArea != null)
			codeArea.innerHTML += "{name:'" + att.name + "', preview_url:'" + att.preview_url + "', type:'" + att.type + "', url:'" + att.url + "', content_url:'" + att.content_url + "'}";
		
		var title = document.createElement("div");
		title.innerHTML = "<b>File:</b> <i>" + att.name + "</i><br><hr>";			      

		dojo.byId("attachmentArea").appendChild(title);
		
		if (a<attachments.length-1){
			if (codeArea != null)
				codeArea.innerHTML += ",";
		}

		if (att.content_url != null && att.content_url.length > 0){
			
			var node = document.createElement("div");
			node.setAttribute('id','attachment_' + a);
			node.setAttribute('class','attachment');
					
			node.appendChild(document.createElement("hr"));
			document.getElementById('attachmentArea').appendChild(node);

			var xhrArgs = {
					id : 'attachment_' + a,
					type : att.type,
					preview_url : att.preview_url,
					url : att.content_url,
					handleAs : "text",
					preventCache: true,
					content: {
		                id: 'attachment_' + a
		            },

					load : function(response, args){
		            	document.getElementById(this.id).innerHTML = response;
		            	
		            	var func = getScript(this.type);
		            	
		            	if (func != null)
		            		func(this.id, this.preview_url);
					}	
				};
			
			dojo.xhrGet(xhrArgs);
	
		}else{
			if (statusArea != null)
				statusArea.innerHTML = "<br>Item not recognized: " + att.name;			
		}
	}
		
	if (codeArea != null)
		codeArea.innerHTML += "]";
}

var atViewer = { showAttachments : function(attachments){
		showAttachments(attachments);
	}
};

dojo.setObject("org.openntf.atviewer", atViewer);

